Subject: [Sipping] I-D ACTION:draft-culpepper-sipping-app-interact-reqs-01.txt

From: [email-masked]
Date: Thu, 02 May 2002 08:18:05 -0400

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title		: Network Application Interaction Requirements
	Author(s)	: B. Culpepper, R. Fairlie-Cuninghame
	Filename	: draft-culpepper-sipping-app-interact-reqs-01.txt
	Pages		: 9
	Date		: 01-May-02
	
This document defines the requirements for a mechanism that supports 
the interaction of SIP-based user agents with applications residing 
on remote network servers.  SIP currently supports media-based 
application interactions using methods such as speech, video and 
end-to-end telephony-related tones; however, it is desired that more 
general application interaction models are supported, especially 
those that are not restricted to the media plane.  It is desired 
that an application can present the user with application-specific 
user interfaces and information.  The user must also be able 
generate activity indications back to application to communicate 
actions on physical or virtual user interfaces.  The document also 
defines a number of topic-related terms to assist in disambiguating 
discussions of the issues.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-culpepper-sipping-app-interact-reqs-01.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-culpepper-sipping-app-interact-reqs-01.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-culpepper-sipping-app-interact-reqs-01.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.